{#
/**
 * @file
 * Default theme implementation to display a paragraph.
 *
 * Available variables:
 * - paragraph: Full paragraph entity.
 *   Only method names starting with "get", "has", or "is" and a few common
 *   methods such as "id", "label", and "bundle" are available. For example:
 *   - paragraph.getCreatedTime() will return the paragraph creation timestamp.
 *   - paragraph.id(): The paragraph ID.
 *   - paragraph.bundle(): The type of the paragraph, for example, "image" or "text".
 *   - paragraph.getOwnerId(): The user ID of the paragraph author.
 *   See Drupal\paragraphs\Entity\Paragraph for a full list of public properties
 *   and methods for the paragraph object.
 * - content: All paragraph items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - paragraphs: The current template type (also known as a "theming hook").
 *   - paragraphs--type-[type]: The current paragraphs type. For example, if the paragraph is an
 *     "Image" it would result in "paragraphs--type--image". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - paragraphs--view-mode--[view_mode]: The View Mode of the paragraph; for example, a
 *     preview would result in: "paragraphs--view-mode--preview", and
 *     default: "paragraphs--view-mode--default".
 * - view_mode: View mode; for example, "preview" or "full".
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * Layout Paragraph field values
 * - bg_color: paragraph field to set background color
 * - text_color: paragraph field to set text color
 * - margin_top: Bootstrap classes for setting top margin
 * - margin_bottom: Bootstrap classes for setting bottom margin
 * - padding_top: Bootstrap classes for setting top padding
 * - padding_bottom: Bootstrap classes for setting bottom padding
 *
 * @see template_preprocess_paragraph()
 *
 * @ingroup themeable
 */
#}
{%
  set classes = [
    'paragraph',
    'paragraph--type--' ~ paragraph.bundle|clean_class,
    view_mode ? 'paragraph--view-mode--' ~ view_mode|clean_class,
    not paragraph.isPublished() ? 'paragraph--unpublished',
    content.field_media[0] ? 'hero-background',
    bg_color ? 'text-bg-' ~ bg_color|clean_class,
    text_color ? 'text-' ~ text_color|clean_class,
    margin_top ? 'mt-' ~ margin_top,
    margin_bottom ? 'mb-' ~ margin_bottom,
    padding_top ? 'pt-' ~ padding_top,
    padding_bottom ? 'pb-' ~ padding_bottom
  ]
%}

{% block paragraph %}
  <div{{ attributes.addClass(classes) }}>
    {% if content.field_media[0] != null %}
      {{ content.field_media }}
    {% endif %}
    <div class="container">
      {% block content %}
        {{ content|without('field_media') }}
      {% endblock %}
    </div>
  </div>
{% endblock paragraph %}
